n installed by the study."
          },
          "addonUrl": {
            "type": "string",
            "description": "The URL of the XPI that was downloaded and installed by the study."
          },
          "addonVersion": {
            "type": "string",
            "description": "The version of the extension installed by the study."
          },
          "studyStartDate": {
            "$ref": "extensionTypes.Date",
            "description": "The start date for the study."
          },
          "studyEndDate": {
            "$ref": "extensionTypes.Date",
            "description": "The end date for the study."
          },
          "extensionApiId": {
            "type": "integer",
            "description": "The record ID for the extension in Normandy server's database."
          },
          "extensionHash": {
            "type": "string",
            "description": "A hash of the extension XPI file."
          },
          "extensionHashAlgorithm": {
            "type": "string",
            "description": "The algorithm used to hash the extension XPI file."
          }
        }
      }
    ],
    "functions": [
      {
        "name": "getStudy",
        "type": "function",
        "description": "Returns a study object for the current study.",
        "async": true,
        "parameters": []
      },
      {
        "name": "endStudy",
        "type": "function",
        "description": "Marks the study as ended and then uninstalls the addon.",
        "async": true,
        "parameters": [
          {
            "type": "string",
            "name": "reason",
            "description": "The reason why the study is ending."
          }
        ]
      },
      {
        "name": "getClientMetadata",
        "type": "function",
        "description": "Returns an object with metadata about the client which may be required for constructing survey URLs.",
        "async": true,
        "parameters": []
      }
    ],
    "events": [
      {
        "name": "onUnenroll",
        "type": "function",
        "description": "Fired when a user unenrolls from a study but before the addon is uninstalled.",
        "parameters": [
          {
            "type": "string",
            "name": "reason",
            "description": "The reason why the study is ending."
          }
        ]
      }
    ]
  }
]
PK